This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468467 - Review Request: gksu - Graphical frontend to su
Review Request: gksu - Graphical frontend to su
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 16:44 EDT by Simon
Modified: 2012-10-31 07:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 20:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon 2008-10-24 16:44:10 EDT
Spec URL: 
http://cassmodiah.fedorapeople.org/gksu-2.0.0/gksu.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/gksu-2.0.0/gksu-2.0.0-1.fc10.src.rpm

Description: 
Gtk+ frontend to su. It supports login shells and preserving environment
when acting as a su frontend. It is useful to menu items or other graphical
programs that need to ask a user's password to run another program as another
user.
Comment 1 Fabian Affolter 2008-11-10 07:06:24 EST
Some quick comments...

- You added 'BuildRequires: gettext-devel' 'BuildRequires: gettext' is sufficient 

- I guess that all patches are coming from Debian. Am I right?
  https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

- Is rpmlint not complaining about the NEWS file?

- In this tarball is a .desktop file too.  You should add it. 
  libgksu:  gksu-properties.desktop
  gksu:     gksu.desktop
Comment 2 Simon 2008-11-11 15:36:40 EST
NEWS-file
sorry, I have forget it to remove the NEWS-file, its an empty file

gettext-devel. 
Strange, i made this error in every package, up to now, sorry! 

The Desktopfile
It's a little tricky. The desktopfile tries to open a terminalemulator via 
gksu /usr/bin/x-terminal-emulator
x-terminal-emulator is a setting in update-alternatives for debian and debian based distros. seems like fedora don't use this or a similar alternative to set a terminal. so this file will be needless, or?

all patches are from the gksu-debianpackage
upstream = debian package maintainer of gksu & libgksu


fixed: news file and gettext and patchcomment, split the nautlis extension in an extra subpackage
SPEC: http://cassmodiah.fedorapeople.org/gksu-2.0.0/gksu.spec
URL: http://cassmodiah.fedorapeople.org/gksu-2.0.0/gksu-2.0.0-2.fc10.src.rpm

Only rpmlint-error:
gksu-nautilus-extension.i386: W: devel-file-in-non-devel-package /usr/lib/nautilus/extensions-2.0/libnautilus-gksu.a

i think this won't be a problem, or?
Comment 3 Simon 2008-12-26 20:05:20 EST
close bug, because there is no benefit for fedora

if you`re not agree and think this would be a good package you can reopen it. the spec and srpm will be preserved.
Comment 4 Jeremy Newton 2012-01-19 09:11:24 EST
I have to use a program that requires gksu, I could patch the application or ask upstream to change it but it seems like too much work and I don't see why gksu can't be included in Fedora anyway. I would hope this can be re-opened as I also have another program I need to use for work that's not open source that depends on gksu.
Comment 5 Jeremy Newton 2012-01-19 09:15:24 EST
Does anyone have a copy of the spec or src RPM? The links are dead

Note You need to log in before you can comment on or make changes to this bug.